RanklyBee logoRanklyBee
Drafts

Queue outreach for a prospect

Requires the outreach:write and outreach:send scopes.

POST
/workspaces/{workspaceId}/prospects/{prospectId}/outreach

Requires the outreach:write and outreach:send scopes.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

prospectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

contactId*string
mode?string
Default"live"

Value in

  • "simulation"
  • "live"
sendNow?boolean
Defaultfalse
idempotencyKey*string
Length8 <= length <= 160

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/prospects/string/outreach" \  -H "Content-Type: application/json" \  -d '{    "contactId": "string",    "idempotencyKey": "stringst"  }'
{  "ok": true,  "data": {    "threadId": "string",    "status": "queued",    "draftStatus": "created"  }}